libminc2 in linked with hdf5-1.10.1 and produces files that other minc tools don't support

Bug #1786123 reported by Vladimir Fonov on 2018-08-08
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
libminc (Ubuntu)
Undecided
Unassigned

Bug Description

libminc2-4.0.0 on Ubuntu 18.04 is linked with hdf5-1.10.0 and creates MINC2 files that are using new HDF5 file format that is incompatible with older versions of the minc tools. (see "What does this change mean to an HDF5 application?" at:
https://www.hdfgroup.org/2018/04/why-should-i-care-about-the-hdf5-1-10-2-release/ )

The library should be called with option to create files compatible with older HDF5 : https://portal.hdfgroup.org/display/HDF5/H5P_SET_LIBVER_BOUNDS

libminc2 was fixed to take this into account: https://github.com/BIC-MNI/libminc/pull/97

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers